package com.sooka.sponest.monitor.remoteapi.fallback.lawenforcement;


import com.ruoyi.common.core.domain.R;
import com.sooka.sponest.monitor.remoteapi.service.lawenforcement.RemoteLawenforcementBaseService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

@Component
public class RemoteLawenforcementBaseServiceFallbackFactory implements FallbackFactory<RemoteLawenforcementBaseService> {

    private static final Logger log = LoggerFactory.getLogger(RemoteLawenforcementBaseServiceFallbackFactory.class);

    @Override
    public RemoteLawenforcementBaseService create(Throwable cause) {
        log.error("执法中心-服务调用失败:{}", cause.getMessage());

        return new RemoteLawenforcementBaseService() {

            @Override
            public R deviceOpenOrClose(List<Map<String, Object>> arr) {
                return null;
            }
        };



    }
}
